AUTOMAKE_OPTIONS = subdir-objects

AM_CFLAGS = $(VARNISHAPI_CFLAGS) -Wall -Werror -Wextra -std=c99
AM_LDFLAGS = $(VARNISHAPI_LIBS) $(VMOD_LDFLAGS) -ldl

vmod_LTLIBRARIES = libvmod_dispatch.la

libvmod_dispatch_la_SOURCES = \
	vmod_dispatch.c

nodist_libvmod_dispatch_la_SOURCES = \
	vcc_if.c \
	vcc_if.h

dist_man_MANS = vmod_dispatch.3

vmod_dispatch.lo: $(nodist_libvmod_dispatch_la_SOURCES)

vcc_if.h vmod_dispatch.rst vmod_dispatch.man.rst: vcc_if.c

vcc_if.c: vmod_dispatch.vcc
	$(AM_V_VMODTOOL) $(PYTHON) $(VMODTOOL) -o vcc_if $(srcdir)/vmod_dispatch.vcc

vmod_dispatch.3: vmod_dispatch.man.rst
	$(AM_V_GEN) $(RST2MAN) vmod_dispatch.man.rst vmod_dispatch.3

AM_TESTS_ENVIRONMENT = \
	PATH="$(VMOD_TEST_PATH)" \
	LD_LIBRARY_PATH="$(VARNISH_LIBRARY_PATH)"
TEST_EXTENSIONS = .vtc
VTC_LOG_COMPILER = varnishtest -v
AM_VTC_LOG_FLAGS = -Dvmod_dispatch="$(VMOD_DISPATCH)"

# echos the varnishtest command invoked by make check, for use with
# indivdual vtc tests.
showcheck:
	@echo $(AM_TESTS_ENVIRONMENT) $(VTC_LOG_COMPILER) $(AM_VTC_LOG_FLAGS)

TESTS = @VMOD_TESTS@

EXTRA_DIST = \
	vmod_dispatch.vcc \
	$(VMOD_TESTS)

CLEANFILES = \
	$(builddir)/vcc_if.c \
	$(builddir)/vcc_if.h \
	$(builddir)/vmod_dispatch.rst \
	$(builddir)/vmod_dispatch.man.rst \
	$(builddir)/vmod_dispatch.3
